%% Solution to Statistics Tutorial
% Author: Mara Vaihinger, System and Control Theory, University of Freiburg
clear; close all; clc;

%% Contiuous Random Variables
% Load data

% Plot the data
figure(1);
plot( ..., ... , '+b');
title('Position data of the GPS device');
legend('measurements');
axis equal;
hold on;

%% Task 1: Expectation Value
N = size(position,1);
positionEV = ...; % Compute expectation value here

% Plot expectation value in red

%% Task 2: Variance and Standard Deviation
varX = ...;
varY = ...;
sprintf('The variances of the measurement data are \n varX = %d [m^2]\n varY = %d [m^2].', varX,varY)

stdX = ...;
stdY = ...;
sprintf('The standard deviations of the measurement data are \n stdX = %d [m]\n stdY = %d [m].', stdX,stdY)

%% Task 3: Covariance & Correlation
covMat = ...;
correlationXY = ...; 
sprintf('Is the noise correlated? \n - No, the correlation between the noise in x- and y-direction is close to zero.')

%% Task 4: Confidence Ellipsoid
% Step 1: Compute Eigenvalues and Eigenvectors of Covariance Matrix
[V, D] = eig(...);

% Step 2: Creat 50 points of a unit circle
xy = [cos(linspace(0,2*pi,50)); sin(linspace(0,2*pi,50))];

% Step 3: Deform unit circle using eigenvalues and eigenvectors
% confEllipse = [meanX; meanY]*ones(50,1) + V*sqrt(D)*xy;
confEllipse = ...;

% Step 4: Plot ellipsoid
plot(confEllipse(1,:), confEllipse(2,:), 'k', 'LineWidth', 2);